This URL retrieves the top active botnets.
Resource URL
GET /alerts/TopN/active_botnets >
Request Parameters
URL Parameters: None
Payload Request Parameters: None
Query Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| duration | Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be:
|
String | No |
Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
|---|---|---|
| TopActiveBotnetsList | List of top active botnets | Array |
Details of fields in TopActiveBotnetsList:
| Field Name | Description | Data Type |
|---|---|---|
| Botnet | Name of the botnet | String |
| eventCount | The event count | Number |
Example
Request
GET https://<NSM_IP>/sdkapi/alerts/TopN/active_botnets?duration=LAST_14_DAYS
Payload
None
Response
{
"TopActiveBotnetsList": [{
"botnet": "Carberp",
"eventCount": 0
},
{
"botnet": "Darkness",
"eventCount": 0
},
{
"botnet": "Yzf",
"eventCount": 0
}]
}
Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 1001 | Internal error |
| 2 | 400 | 3601 | Invalid duration |